Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slaruv

    java.lang.Object
      org.netlib.lapack.Slaruv

    public class Slaruv

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLARUV returns a vector of n random real numbers from a uniform (0,1)
     *  distribution (n <= 128).
     *
     *  This is an auxiliary routine called by SLARNV and CLARNV.
     *
     *  Arguments
     *  =========
     *
     *  ISEED   (input/output) INTEGER array, dimension (4)
     *          On entry, the seed of the random number generator; the array

     *          elements must be between 0 and 4095, and ISEED(4) must be
     *          odd.
     *          On exit, the seed is updated.
     *
     *  N       (input) INTEGER
     *          The number of random numbers to be generated. N <= 128.
     *
     *  X       (output) REAL array, dimension (N)
     *          The generated random numbers.
     *
     *  Further Details
     *  ===============
     *
     *  This routine uses a multiplicative congruential method with modulus
     *  2**48 and multiplier 33952834046453 (see G.S.Fishman,
     *  'Multiplicative congruential random number generators with modulus
     *  2**b: an exhaustive analysis for b = 32 and a partial analysis for
     *  b = 48', Math. Comp. 189, pp 331-344, 1990).
     *
     *  48-bit integers are stored in 4 integer array elements with 12 bits
     *  per element. Hence the routine is portable across machines with
     *  integers of 32 bits or more.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Field Summary
`static int[]` | `mm`

Constructor Summary
`Slaruv()`

Method Summary
`static void` | `slaruv(int[] iseed, int _iseed_offset, int n, float[] x, int _x_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mm

    public static int[] mm

Constructor Detail

### Slaruv

    public Slaruv()

Method Detail

### slaruv

    public static void slaruv(int[] iseed,
                              int _iseed_offset,
                              int n,
                              float[] x,
                              int _x_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD